Create a new replication for a Cloud Volumes ONTAP system
POST /replication/vsa
Creates a new replication to a Cloud Volumes ONTAP system.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
replicationRequest |
True |
||
replicationVolume |
True |
Example request
{
"replicationRequest": {
"destinationInterclusterLifIps": [
"string"
],
"destinationIpSpace": "string",
"destinationWorkingEnvironmentId": "string",
"policyName": "string",
"scheduleName": "string",
"sourceInterclusterLifIps": [
"string"
],
"sourceIpSpace": "string",
"sourceWorkingEnvironmentId": "string"
},
"replicationVolume": {
"advancedMode": false,
"destinationAggregateName": "string",
"destinationCapacityTier": "string",
"destinationProviderVolumeType": "string",
"destinationSvmName": "string",
"destinationVolumeName": "string",
"evCapacityApprovedToAdd": {
"addedCapacityToExistingEvDisks": {
"size": 0,
"unit": "string"
},
"newRaidForEvInfo": [
{
"diskSize": {
"size": 0,
"unit": "string"
},
"numOfDisks": 0
}
],
"totalCapacityToAdd": {
"size": 0,
"unit": "string"
}
},
"numOfDisksApprovedToAdd": 0,
"sourceSvmName": "string",
"sourceVolumeName": "string",
"tieringPolicy": "string"
}
}
Error
Status: Default, Default response
Definitions
See Definitions
ReplicationRequest
| Name | Type | Required | Description |
|---|---|---|---|
destinationInterclusterLifIps |
array[string] |
True |
Destination intercluster LIF IPs |
destinationIpSpace |
string |
False |
Destination IPspace |
destinationWorkingEnvironmentId |
string |
True |
Destination system ID |
maxTransferRate |
integer |
False |
Maximum transfer rate limit (KB/s). Use 0 for no limit, otherwise use number between 1024 and 2,147,482,624 |
policyName |
string |
True |
SnapMirror policy name |
scheduleName |
string |
False |
Schedule name |
sourceInterclusterLifIps |
array[string] |
True |
Source intercluster LIF IPs |
sourceIpSpace |
string |
False |
Source IPspace |
sourceWorkingEnvironmentId |
string |
True |
Source system ID |
Capacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
True |
Size |
unit |
string |
True |
Unit |
RaidInfoForEvAggregate
| Name | Type | Required | Description |
|---|---|---|---|
diskSize |
True |
||
numOfDisks |
integer |
True |
Number of new disks needed for the RAID group |
ElasticVolumeQuoteInfo
| Name | Type | Required | Description |
|---|---|---|---|
addedCapacityToExistingEvDisks |
False |
||
newRaidForEvInfo |
array[RaidInfoForEvAggregate] |
False |
New RAID information |
totalCapacityToAdd |
False |
||
totalEvDisks |
integer |
False |
minimumCoolingDays
Cooling Days
VsaVolumeRequest
| Name | Type | Required | Description |
|---|---|---|---|
advancedMode |
boolean |
True |
Use advanced allocation for destination volume |
destinationAggregateName |
string |
True |
Destination aggregate name |
destinationCapacityTier |
string |
False |
Destination aggregate capacity tier |
destinationProviderVolumeType |
string |
False |
Destination provider volume type |
destinationSvmName |
string |
False |
Destination SVM name |
destinationVolumeName |
string |
True |
Destination volume name |
evCapacityApprovedToAdd |
False |
||
iops |
integer |
False |
Provisioned IOPS |
minimumCoolingDays |
False |
Cooling Days |
|
numOfDisksApprovedToAdd |
integer |
True |
Maximum number of disks approved to add |
sourceSvmName |
string |
True |
Source SVM name |
sourceVolumeName |
string |
True |
Source volume name |
throughput |
integer |
False |
Provisioned throughput |
tieringPolicy |
string |
False |
Tiering policy |